Bug 107258 - Show/Hide all comments toggle button needed.
Summary: Show/Hide all comments toggle button needed.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Gülşah Köse
QA Contact:
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on: 108098
Blocks: UNO-Command Calc-Comments Unify-Across-Apps
  Show dependency treegraph
 
Reported: 2017-04-19 07:02 UTC by Gülşah Köse
Modified: 2017-05-26 00:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gülşah Köse 2017-04-19 07:02:46 UTC
It would be nice to have single show/hide all comments toggle button in Calc.
That's requested in Bug 84837 comment18. Show/hide all comments can be done via Sheet-Cell Comments-Show/Hide all comments (seperately) but one toggle button on toolbar would be practical like writer and impress (uno:ShowAnnotations).
Comment 1 Xisco Faulí 2017-04-19 07:27:17 UTC
it sounds reasonable
Comment 2 Gülşah Köse 2017-04-20 06:33:26 UTC
https://gerrit.libreoffice.org/#/c/36697/ Code review needed.
Comment 3 Commit Notification 2017-05-11 14:14:39 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=198f5a16fd4c5bf691a3450bbf16e88c000f9baa

tdf#107258 Create show/hide all comments toggle button.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.